Subject: Re: SystemAce Driver.

From: sudheer <[email-masked]>
Date: Tue, 22 Aug 2006 20:37:46 +0530

Hello Raja,

We too are working on customized board with amcc 440SPe processor & 
xilinx System Ace controller. The System Ace controller is connected to 
compact flash driver.
We use u-boot 1.1.2 as bootloader & linux kernel - 2.6.16-2.

System ace is connected to amcc440SPE processor via GPIO and External 
Peripheral Bus Controller(EBC).

While booting the linux, it crashes when i am trying to 
access(read/write) a system ace register.
In the u-boot though i have support, as of now  i am not doing anything 
with system ace as it not required now.
In u-boot/include/configs/custom_board.h, i could see
#define CFG_ACE_BASE        0xe0000000          /* Xilinx ACE controller 
- Compact Flash */
 So i have used this address in Linux driver to to ioremap to access 
the  ace registers. Though i could do ioremap,  it crashes while booting 
exactly when it is trying the access any ace register.

I doubt with the address i have used . But could not get any clue from 
the docs given.

I want to know how to access the system ace registers and how to  get 
the address to ioremap. Please let me know if any details required and 
also if i am missing any fundamentals.

Thanks & Regards
Sudheer

sudheer wrote:
> Hi Ameet,
>
> Firstly, thanks for the mail.
>
> I am able to compile the linux-2.6.16 and got the ace support files with 
> the patch.
> While compiling got some errors with  xparameters, but am rectify  them.
>
> I need to wait for the hardware to test the source.
>
> Thanks & Regards
> Sudheer
>
>
> Ameet Patil wrote:
>   
>> Hi Sudheer,
>>    Frank has already answered your questions. If you have any problems 
>> with the SysAce patch... do let me know. I have written a small 
>> tutorial here if it helps...
>>
>> http://linux.get2knowmore.com
>>
>>
>> -Ameet
>>
>> sudheer wrote:
>>     
>>> Hello Ameet Patil
>>>
>>> I am looking for linux kernel source 2.6.16 with system ace 
>>> controller support. I downloaded the linux-2.6.16 and linux-2.6.17-1 
>>> source from kernel.org but could not find any files related to system 
>>> ace controller  ( No xilinx_sysace directory in  drivers/block/) .  I 
>>> have checked penguinppc.org also but could not get it.
>>>
>>> Can you please send to me the link where i could download the 
>>> linuxppc-2.6.16 source with system ace support.
>>>
>>> Thanks & Regards
>>> Sudheer
>>>
>>> Ameet Patil wrote:
>>>       
>>>> Hi Raja,
>>>>     I have ported the Xilinx System ACE driver to 2.6 kernel. Find 
>>>> the latest one here:
>>>> http://www.cs.york.ac.uk/rtslab/demos/amos/xupv2pro/patches/linuxppc-2.6.17.1-sysace-1.2.patch 
>>>>
>>>>
>>>> NOTE: this patch wouldn't work if you are using the TEMAC driver. In 
>>>> which case use the -after-TEMAC patch found in the patches folder 
>>>> above.
>>>>
>>>> Check the following discussions (threads) for more details:
>>>> 1. "Xilinx SystemACE driver for 2.6"
>>>> 2. "Xilinx BSP for linux 2.6"
>>>> 3. "Kernel hangs after "Now booting the kernel"."
>>>>
>>>> cheers,
>>>> -Ameet
>>>>
>>>> Raja Chidambaram wrote:
>>>>  
>>>>         
>>>>>  Hi all,
>>>>>  We are working on customized board with amcc 440SPe
>>>>> processor & xilinx System Ace controller. The System
>>>>> Ace controller is connected to compact flash driver.
>>>>>
>>>>> We use u-boot 1.2 as bootloader & linux kernel
>>>>> 2.6.16-2.
>>>>>
>>>>> On the process the u-boot is able to detect compact
>>>>> flash through Xilinx SystemAce controller & able to
>>>>> load the kernel image into compact flash.But when the
>>>>> linux boot's up it not able to detect the System Ace
>>>>> controller or compact flash.
>>>>>
>>>>> Note:we need to have the root file system in compact
>>>>> flash.
>>>>>
>>>>> Is their any drivers available for SystemAce
>>>>> controller on linux 2.6,if their how to get it.please
>>>>> help me in this
>>>>>                                     with regards
>>>>>                                      raja
>>>>>
>>>>>
>>>>>
>>>>> __________________________________________________
>>>>> Do You Yahoo!?
>>>>> Tired of spam?  Yahoo! Mail has the best spam protection around 
>>>>> http://mail.yahoo.com _______________________________________________
>>>>> Linuxppc-embedded mailing list
>>>>> [email-masked]
>>>>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>>>
>>>>>     
>>>>>           
>>>> _______________________________________________
>>>> Linuxppc-embedded mailing list
>>>> [email-masked]
>>>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>>
>>>>   
>>>>         
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>